﻿namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    public partial class CulinaryResearchPaperBasicMeatRecipe :
        RecipeFamily
    {
        partial void ModsPreInitialize()
        {
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "CulinaryResearchPaperBasicMeat",
                    Localizer.DoStr("Culinary Research Paper Basic"),
                    new IngredientElement[]
                    {
                    new IngredientElement(typeof(PaperItem), 1, true),
                    new IngredientElement(typeof(CharredMeatItem), 10, typeof(CampfireCookingSkill), typeof(CampfireCookingLavishResourcesTalent)),
                    },
                    new CraftingElement[]
                    {
                    new CraftingElement<CulinaryResearchPaperBasicItem>(), 
                    }
                )
            };
        }
    }
}
